PlayerLookTrace(1, 9999)
local ent = _EntCreate("env_sprite")
if ent > 0 then
	_EntSetKeyValue(ent, "model", "sprites/fireburst.spr")
	_EntSetKeyValue(ent, "rendermode", "5")
	_EntSetKeyValue(ent, "scale", "0.5")
	_EntSetKeyValue(ent, "spawnflags", "1")
	_EntSetPos(ent, _TraceEndPos())
	_EntSpawn(ent)
	_EntFire(ent, "showsprite", "", 0)
	_EntFire(ent, "setscale", "0.5", 0.25)
	_EntFire(ent, "setscale", "0.65", 0.5)
	_EntFire(ent, "setscale", "0.85", 0.75)
	_EntFire(ent, "setscale", "1.0", 1.0)
	_EntFire(ent, "setscale", "0.75", 1.25)
	_EntFire(ent, "setscale", "0.5", 1.5)
	_EntFire(ent, "setscale", "0.125", 1.75)
	_EntFire(ent, "hidesprite", "", 1.9)
	_EntFire(ent, "kill", "", 2.0)
end
